Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeviceToken

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.DeviceToken

Direct Known Subclasses:
  `TdApi.DeviceTokenApplePush`, `TdApi.DeviceTokenApplePushVoIP`, `TdApi.DeviceTokenBlackBerryPush`, `TdApi.DeviceTokenFirebaseCloudMessaging`, `TdApi.DeviceTokenHuaweiPush`, `TdApi.DeviceTokenMicrosoftPush`, `TdApi.DeviceTokenMicrosoftPushVoIP`, `TdApi.DeviceTokenSimplePush`, `TdApi.DeviceTokenTizenPush`, `TdApi.DeviceTokenUbuntuPush`, `TdApi.DeviceTokenWebPush`, `TdApi.DeviceTokenWindowsPush`

Enclosing class:
  TdApi

public abstract static sealed class TdApi.DeviceToken extends TdApi.Object permits TdApi.DeviceTokenFirebaseCloudMessaging, TdApi.DeviceTokenApplePush, TdApi.DeviceTokenApplePushVoIP, TdApi.DeviceTokenWindowsPush, TdApi.DeviceTokenMicrosoftPush, TdApi.DeviceTokenMicrosoftPushVoIP, TdApi.DeviceTokenWebPush, TdApi.DeviceTokenSimplePush, TdApi.DeviceTokenUbuntuPush, TdApi.DeviceTokenBlackBerryPush, TdApi.DeviceTokenTizenPush, TdApi.DeviceTokenHuaweiPush
This class is an abstract base class. Represents a data needed to subscribe for push notifications through registerDevice method. To use specific push notification service, the correct application platform must be specified and a valid server authentication data must be uploaded at https://my.telegram.org.

## Constructor Summary

Constructors
Constructor
Description
`DeviceToken()`
Default class constructor.

## Method Summary

### Methods inherited from class it.tdlight.jni.TdApi.Object

`getConstructor, serialize, serialize, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### DeviceToken

public DeviceToken()
Default class constructor.